Subject: Re: Error in loading DLL
From: [email-masked] (David Essex)

11 Dec 1996 23:13:46 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked] (Unverified)
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: gnu-win32 <[email-masked]>
Original-Cc: "Iakovos Karakas" <[email-masked]>
Original-Sender: [email-masked]

At 08:56 AM 11/12/96 +0200, you wrote:

>I would like to build a dll using the gnu win32 development tools
>and then call the functions of the dll from visual basic 4.
>Is this possible and if it is how can I do it ( I mean dlltool or gcc and
>ld options).
>I have already tested according to cygnus documentation and successfully
>produce the dll but when I am truing to call it from vb
>I got an error. Error in loading DLL.

Has someone build dlls successfully and used them from another application? 
I doubt it. I ran into the same problem trying to call DLL's written using 
the gnu-win32 compiler from Delphi. They would compile but not load. 
There has been some discussion on this recently, (see "Problems building dlls 
with cygwin" thread) but to my knowledge this issue has not been resolved.

>Any suggestions ?
Have you looked at minimalist gnu-win32, if your DLL does no U*NIX specific
calls.

David 

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".